- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# exiv2.hpp File Reference

Defines class Params, used for the command line handling of exiv2. More...

`#include "utils.hpp"`
`#include "types.hpp"`
`#include <string>`
`#include <vector>`
`#include <iostream>`

Include dependency graph for exiv2.hpp:

This graph shows which files directly or indirectly include this file:

## Classes
struct | ModifyCmd
| Structure for one parsed modification command. More...
struct | CmdIdAndString
| Structure to link command identifiers to strings. More...
class | Params
| Implements the command line handling for the program. More...
## Typedefs
typedef std::vector< ModifyCmd > | ModifyCmds
| Container for modification commands.
## Enumerations
enum | CmdId { invalidCmdId, add, set, del }
| Command identifiers.
enum | MetadataId { invalidMetadataId, iptc, exif }
| Metadata identifiers.

## Detailed Description

Defines class Params, used for the command line handling of exiv2.

Version:
  Rev
    788

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  08-Dec-03, ahu: created